/* Adjusts "Now Playing" font size based on screen width */
@media screen and (min-width: 320px) {
    /* calc(minimum size + (maximum size - minimum size) * ((viewport width percentage - minimum viewport width) / (maximum viewport width - minimum viewport width))) */
    h1 {
        font-size: calc(50px + (100 - 50) * ((100vw - 320px) / (1920 - 320)));
    }

    h4 {
        font-size: calc(25px + (35 - 25) * ((100vw - 320px) / (1920 - 320)));
    }

    .lead, .btn {
        font-size: calc(16px + (18 - 16) * ((100vw - 320px) / (1920 - 320)));
    }

    .yellow-btn {
        font-size: calc(20px + (25-20) * ((100vw - 320px) / (1920 - 320)));
    }
}

/* Adjusts the humburger menu location; Adjusts dropdown menu items for smaller screens */
@media screen and (max-width: 990px) {
    .navbar-collapse {
        background-color: var(--secondary-color);
        border-bottom: 5px solid rgb(98, 0, 0);
        margin-top: 14px;
        margin-left: -15px;
        margin-right: -15px;
    }

    .nav-link {
        margin-left: 20px;
    }

    .dropdown-item {
        text-align: left;
        padding-left: 60px;
    }
}

/*  */
@media screen and (max-width: 1200px) {
    html {
        scroll-padding-top: 300px;
    }

    img {
        margin-bottom: 30px;
    }

    .container {
        padding: 50px;
    }
}